Bug 74857 - FILTER: selection selects non-data when using autofilter
Summary: FILTER: selection selects non-data when using autofilter
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: BSA target:4.3.0 target:4.2.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-11 20:48 UTC by afonit
Modified: 2014-03-18 22:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The spreadsheet that can illustrate the noted behavior (16.31 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-11 20:48 UTC, afonit
Details

Note You need to log in before you can comment on or make changes to this bug.
Description afonit 2014-02-11 20:48:18 UTC
Created attachment 93883 [details]
The spreadsheet that can illustrate the noted behavior

Problem description: 
when starting in cell A2 then hitting ctrl+shift+down arrow, the selection goes beyond the range of data.


Steps to reproduce:
1. open attached spreadsheet that is already filtered
2. select cell A2
3. press keys ctrl_shift_down arrow
4. notice the selection goes down to cell A41, but it should stop at cell A25

Current behavior:
selection goes down to A41

Expected behavior:
Selection shoudl end at A25

              
Operating System: Fedora
Version: 4.2.0.4 release
Comment 1 m.a.riosv 2014-02-11 23:14:50 UTC
Hi afonit, thanks for reporting.

Reproducible.
Win7x64Ultimate
Version: 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Version: 4.2.1.0.0+ Build ID: 684a0308dcb847f816967202ba87f536b83dcb4e
  TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-02-10_23:09:14
Version: 4.3.0.0.alpha0+ Build ID: 3e2f1601278b9e079230566712c40820dbd81fce
  TinderBox: Win-x86@39, Branch:master, Time: 2014-02-11_00:25:42

Last working
Version: 4.1.6.0.0+ Build ID: fd07d1758ee62eebfe95b157ba651de282feec0
Comment 2 Kohei Yoshida 2014-02-19 01:24:18 UTC
I'm on this.
Comment 3 Commit Notification 2014-02-19 01:38:11 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=637353bb46d3c7d9537e47e4e003aef78a0c0ab3

fdo#74857: Update the incrementer when skipping over hidden regions.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Kohei Yoshida 2014-02-19 01:40:00 UTC
4.2 backport: https://gerrit.libreoffice.org/8117
Comment 5 Commit Notification 2014-02-19 14:53:40 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=793c2b2b3ac8c8e74ccdfc6876ce47e5039fb65a&h=libreoffice-4-2

fdo#74857: Update the incrementer when skipping over hidden regions.


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Kohei Yoshida 2014-02-19 15:10:12 UTC
Fixed.
Comment 7 m.a.riosv 2014-02-20 22:56:52 UTC
Thanks Kohei.
Verified in:
Version: 4.2.3.0.0+ Build ID: 7af1124f83df4d96f6ebe58536de7c51406df661
   TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-02-20_11:39:39
Version: 4.3.0.0.alpha0+ Build ID: 22b709e84a7b6d38cab2dd37f2f2b28e0fc9d062
   TinderBox: Win-x86@39, Branch:master, Time: 2014-02-20_00:01:31
Comment 8 Commit Notification 2014-02-21 12:49:59 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de7ea676a51832d502b449b39809ce26299aa09a&h=libreoffice-4-2-2

fdo#74857: Update the incrementer when skipping over hidden regions.


It will be available already in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 m.a.riosv 2014-03-18 22:40:59 UTC
Thanks Kohei.
Verified Win7x64:
Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f
Version: 4.2.3.1 Build ID: 3d4fc3d9dbf8f4c0aeb61498a81f91c5b7922f13
Version: 4.2.4.0.0+ Build ID: e1823627f35e4419880769fdd05acddbd0a9c25c
   TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-03-18_14:25:19
Version: 4.3.0.0.alpha0+ Build ID: 12ae7672f285da1d4c730315e8db23b3396b71cc
   TinderBox: Win-x86@39, Branch:master, Time: 2014-03-14_00:18:00